
$Swords_SabreSwing1Time = 540;
$Swords_SabreSwing1DamageTime = "10 260";
$Swords_SabreSwing2Time = 506;
$Swords_SabreSwing2DamageTime = "10 350";
$Swords_SabrePenetration = 3;

$Swords_SabreWallRecovery = 900;
$Swords_SabreSwing1Damage = 60;
$Swords_SabreSwing2Damage = 60;
$Swords_SabreSounds = "fast_swingSound light_swingSound3";

$Swords_SabreParryTime = 1200;
$Swords_SabreParryRecoveryTime = 1000;
$Swords_SabreInterruptParry = 1;

$DLightBrass = "0.705 0.5642 0.0325 1";

$SwordNodesSabre = "Sabre_blade Sabre_guard1 Sabre_guard2 Sabre_grip Sabre_hilt";

$DefaultColorsSabre = "COLOR Sabre_hilt " @ $DLightBrass TAB "COLOR Sabre_grip " @ $DG10 TAB 
						"COLOR Sabre_guard2 " @ $DG30 TAB "COLOR Sabre_guard1 " @ $DG15 TAB
						"COLOR Sabre_blade " @ $DG50;

datablock PlayerData(SabreSwordArmor : PlayerStandardArmor) {
	shapeFile = "./sabre.dts";

	uiName = "";

	boundingBox = vectorScale("20 20 20", 4);
	crouchBoundingBox = vectorScale("20 20 20", 4);
	
	keepWhenDead = 1;
};

datablock ItemData(SabreItem : HammerItem) {
	shapeFile = "./sabre.dts";
	uiName = "Sabre";

	doColorShift = false;

	class = "Sabre";
	botDatablock = SabreSwordArmor;

	allowShield = 1;

	isSword = 1;

	iconName = "./icon_Sabre";
	image = SabreImage;
};

datablock ShapeBaseImageData(SabreImage) {
	shapeFile = "base/data/shapes/empty.dts";
	emap = true;

	// Specify mount point & offset for 3rd person, and eye offset
	// for first person rendering.
	mountPoint = 0;
	eyeOffset = 0; //"0.7 1.2 -0.5";

	className = "WeaponImage";
	item = SabreItem;

	class = "Sabre";
	botDatablock = SabreSwordArmor;

	allowShield = 1;
	isSword = 1;

	//raise your arm up or not
	armReady = true;

	doColorShift = false;


	stateName[0]						= "Activate";
	stateScript[0]						= "onActivate";
	stateTimeoutValue[0]				= 0.5;
	stateTransitionOnTimeout[0]			= "Ready";

	stateName[1]						= "Ready";
	stateTransitionOnTriggerDown[1]		= "Fire";
	stateScript[1]						= "onReady";
	stateAllowImageChange[1]			= true;

	stateName[2]						= "Fire";
	stateTransitionOnTriggerUp[2]		= "Ready";
	stateAllowImageChange[2]			= true;
	stateScript[2]						= "onFire";
};

function SabreImage::onMount(%this, %obj, %slot) {
	equipSword(%obj, %this.class);
	%obj.triggerDown = 0;
}

function SabreImage::onUnmount(%this, %obj, %slot) {
	%obj.swordBot.delete();
	// %obj.emptyBot.delete();
	%obj.client.applyBodyParts();
	%obj.client.applyBodyColors();
	%obj.triggerDown = 0;
}

function SabreImage::onFire(%this, %obj, %slot) {
	%obj.triggerDown = 1;
	if (!%obj.swordBot.isSwinging) {
		swordSwing(%obj.swordBot);
	}
}

function SabreImage::onReady(%this, %obj, %slot) {
	%obj.triggerDown = 0;
}
